<template>
	<el-layout>
		<el-navbar :placeholder="true" :fixed="true" :autoBack="true" :border="true" :title="title"></el-navbar>
		<mp-html :content="content" />
	</el-layout>
</template>

<script setup>
	import { ref } from "vue";
	import { onLoad } from "@dcloudio/uni-app";
	
	let title   = ref("");
	let content = ref('');
	
	onLoad(async(option)=>{
		let {code,data} = await uni.$http.get("common/agree",{ type: "service" });
		if(code){
			// #ifdef H5
			uni.setNavigationBarTitle({ title: data.title });
			// #endif
			title.value 	= data.title;
			content.value 	= data.content;
		}
	});
	
</script>

<style lang="scss" scoped>
	page {
		background-color: #fff;
	}
</style>